Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl
Interface ThrowableInteranlTaskService

All Superinterfaces:
  CommandExecutor, org.kie.internal.task.api.InternalTaskService, TaskService

All Known Implementing Classes:
  TaskServiceEntryPointImpl

    public interface ThrowableInteranlTaskService

extends org.kie.internal.task.api.InternalTaskService

Extension to the regular task service interface to declare exceptions that might be thrown from the logic of operations. Exceptions are generically RuntimeExceptions so there is no need to be declared although it makes it much easier to use with Proxy classes.

Method Summary
`void` | `activate(long taskId, String userId)`
`long` | `addTask(Task task, Map<String,Object> params)`
`void` | `claim(long taskId, String userId)`
`void` | `claimNextAvailable(String userId, String language)`
`void` | `complete(long taskId, String userId, Map<String,Object> data)`
`void` | `delegate(long taskId, String userId, String targetUserId)`
`void` | `exit(long taskId, String userId)`
`void` | `fail(long taskId, String userId, Map<String,Object> faultData)`
`void` | `forward(long taskId, String userId, String targetEntityId)`
`void` | `nominate(long taskId, String userId, List<OrganizationalEntity> potentialOwners)`
`void` | `release(long taskId, String userId)`
`void` | `resume(long taskId, String userId)`
`void` | `skip(long taskId, String userId)`
`void` | `start(long taskId, String userId)`
`void` | `stop(long taskId, String userId)`
`void` | `suspend(long taskId, String userId)`

Methods inherited from interface org.kie.internal.task.api.InternalTaskService
`addAttachment, addComment, addContent, addContent, addGroup, addMarshallerContext, addTask, addUser, addUsersAndGroups, archiveTasks, claim, claimNextAvailable, deleteAttachment, deleteComment, deleteContent, deleteFault, deleteOutput, deployTaskDef, getActiveTasks, getActiveTasks, getAllAttachmentsByTaskId, getAllCommentsByTaskId, getAllContentByTaskId, getAllTaskDef, getArchivedTasks, getCommentById, getCompletedTaskByUserId, getCompletedTasks, getCompletedTasks, getCompletedTasksByProcessId, getDescriptions, getExpirationDate, getGroupById, getGroups, getMarshallerContext, getOrganizationalEntityById, getPendingSubTasksByParent, getPendingTaskByUserId, getPotentialOwnersForTaskIds, getPriority, getSubTasksAssignedAsPotentialOwner, getSubTasksByParent, getSubTaskStrategy, getTaskContent, getTaskDefById, getTaskEventsById, getTaskInstanceById, getTasksAssignedAsExcludedOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwnerByExpirationDate, getTasksAssignedAsPotentialOwnerByExpirationDateOptional, getTasksAssignedAsPotentialOwnerByStatusByGroup, getTasksAssignedAsRecipient, getTasksAssignedAsTaskInitiator, getTasksAssignedAsTaskStakeholder, getTasksAssignedByGroup, getTasksAssignedByGroups, getTasksByStatusByProcessInstanceIdByTaskName, getTasksOwnedByExpirationDate, getTasksOwnedByExpirationDateBeforeSpecifiedDate, getTasksOwnedByExpirationDateOptional, getUserById, getUserInfo, getUsers, isSkipable, remove, removeAllTasks, removeGroup, removeMarshallerContext, removeTaskEventsById, removeTasks, removeUser, setDescriptions, setExpirationDate, setFault, setOutput, setPriority, setSkipable, setSubTaskStrategy, setTaskNames, setUserInfo, undeployTaskDef`

Methods inherited from interface org.kie.api.task.TaskService
`getAttachmentById, getContentById, getTaskById, getTaskByWorkItemId, getTasksAssignedAsBusinessAdministrator, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwnerByStatus, getTasksByProcessInstanceId, getTasksByStatusByProcessInstanceId, getTasksByVariousFields, getTasksByVariousFields, getTasksOwned, getTasksOwnedByStatus`

Methods inherited from interface org.kie.api.runtime.CommandExecutor
`execute`

Method Detail

### activate

    void activate(long taskId,
                  String userId)
                  throws TaskException

  Specified by:
    `activate` in interface `TaskService`
  Throws:
    `TaskException`

### claim

    void claim(long taskId,
               String userId)
               throws TaskException

  Specified by:
    `claim` in interface `TaskService`
  Throws:
    `TaskException`

### claimNextAvailable

    void claimNextAvailable(String userId,
                            String language)
                            throws TaskException

  Specified by:
    `claimNextAvailable` in interface `TaskService`
  Throws:
    `TaskException`

### complete

    void complete(long taskId,
                  String userId,
                  Map<String,Object> data)
                  throws TaskException

  Specified by:
    `complete` in interface `TaskService`
  Throws:
    `TaskException`

### delegate

    void delegate(long taskId,
                  String userId,
                  String targetUserId)
                  throws TaskException

  Specified by:
    `delegate` in interface `TaskService`
  Throws:
    `TaskException`

### exit

    void exit(long taskId,
              String userId)
              throws TaskException

  Specified by:
    `exit` in interface `TaskService`
  Throws:
    `TaskException`

### fail

    void fail(long taskId,
              String userId,
              Map<String,Object> faultData)
              throws TaskException

  Specified by:
    `fail` in interface `TaskService`
  Throws:
    `TaskException`

### forward

    void forward(long taskId,
                 String userId,
                 String targetEntityId)
                 throws TaskException

  Specified by:
    `forward` in interface `TaskService`
  Throws:
    `TaskException`

### addTask

    long addTask(Task task,
                 Map<String,Object> params)
                 throws TaskException

  Specified by:
    `addTask` in interface `TaskService`
  Throws:
    `TaskException`

### release

    void release(long taskId,
                 String userId)
                 throws TaskException

  Specified by:
    `release` in interface `TaskService`
  Throws:
    `TaskException`

### resume

    void resume(long taskId,
                String userId)
                throws TaskException

  Specified by:
    `resume` in interface `TaskService`
  Throws:
    `TaskException`

### skip

    void skip(long taskId,
              String userId)
              throws TaskException

  Specified by:
    `skip` in interface `TaskService`
  Throws:
    `TaskException`

### start

    void start(long taskId,
               String userId)
               throws TaskException

  Specified by:
    `start` in interface `TaskService`
  Throws:
    `TaskException`

### stop

    void stop(long taskId,
              String userId)
              throws TaskException

  Specified by:
    `stop` in interface `TaskService`
  Throws:
    `TaskException`

### suspend

    void suspend(long taskId,
                 String userId)
                 throws TaskException

  Specified by:
    `suspend` in interface `TaskService`
  Throws:
    `TaskException`

### nominate

    void nominate(long taskId,
                  String userId,
                  List<OrganizationalEntity> potentialOwners)
                  throws TaskException

  Specified by:
    `nominate` in interface `TaskService`
  Throws:
    `TaskException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.